#/bin/bash

# This script pulls useful information out of the raw DMACRYS output it will also produce a log file to point out any missing information.

home=`pwd`
dmaout=*.dmaout

# Run the script in a directory where all sub directories are those of single molecules run through DMACRYS. Each directory must have a name which is finished with _CRYS. 

for crys in `ls -d *_CRYS`

do 

	cd $crys
	if [ -f $dmaout ]
	then
		echo a dmaout file exists in $crys
	else
		echo a dmaout file does not exist in $crys
	fi

	echo $crys >> ../../dmacrys_output.end
	grep 'VALID' *.dmaout >> ../../dmacrys_output.end
	grep -B12 'Total lattice energy' *.dmaout >>../../dmacrys_output.end
	grep -A2 'Born stability' *.dmaout >>../../dmacrys_output.end
	grep -A18 'Lattice vectors' *.dmaout >>../../dmacrys_output.end
	grep -A3 'EIGEN' *.dmaout >> ../../dmacrys_output.end
	echo Figure of shame as defined in Acta Cryst. B49 868 1993. >>../../dmacrys_output.end
	grep 'In this case: F' *.dmaout >> ../../dmacrys_output.end
	grep 'Total Entropy' fort.11 >> ../../dmacrys_output.end
	echo end >> ../../dmacrys_output.end
	echo >> ../../dmacrys_output.end 
	echo end of files from $crys

	cd $home

done 2>&1 | tee dmacrys_output.log
 





