###############################################
# This Script assumes the file structure is that sub-directories of the current director exist containing the csv files you wish to run.
###############################################

# max_no_dir is the number of directories you wish the script to run over
run_omd <- function(max_no_dir){

#Fixed variables
filePathSeparator <- .Platform$file.sep   #Define systsem file seperator
upper_lim <- max_no_dir + 1               #As we will run from the second director in the list due to the director "./" we add one to the number 
print(upper_lim)                          #Print to the screen
dirs <- gsub("./","", list.dirs(full.names=TRUE)) #Get the directory names in the working directory

# Store the working directory
working_directory <- getwd() 

# j labels the list entry number of dirs i.e. j = 1 dirs[1] = ./
for (j in 2:upper_lim){
  
  # Path is the working directory plus the directory you wish to run calcuations in
  path = paste(working_directory, dirs[j], sep = filePathSeparator)
  print(path)
  setwd(path)
  
  # source codes MAKE SURE ALL THREE SCRIPTS ARE IN EACH DIRECTORY YOU WISH TO RUN CALCULATIONS IN
  source("run.R")
  source("utilities.R")
  source("cross_validate.R")
  
  # assumes there is only one .csv file in each directory you wish the scripts to run in.
  input = list.files(pattern = ".csv")
   
  
  # The final section runs each input with the three scaling methods
  data = read.table(input, sep = ",", header = T, row.names = 1)
	for (i in 1:3){                # change options 1 - 3 for different scaling 1 = mean and SD scaling, 2 = PCA and 3 = use the raw data
   run(data,i,path)
	}
}
}
